using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web.Mvc;

namespace Benday.CodedUi2012.WebSamples.Mvc4WebUi.Models
{
    public class SingleSelectListModel
    {
        public SingleSelectListModel()
        {

        }

        private SelectList m_Values;
        public SelectList Values
        {
            get
            {
                if (m_Values == null)
                {
                    Initialize();
                }

                return m_Values;
            }
        }

        public string SelectedValue { get; set; }

        private void AddItem(List<SelectListItem> items, bool selected, string value, string text)
        {
            items.Add(new SelectListItem() { Selected = selected, Value = value, Text = text });
        }

        public void Initialize()
        {
            List<SelectListItem> items = new List<SelectListItem>();

            AddItem(items, false, "one", "Value 1");
            AddItem(items, false, "two", "Value 2");
            AddItem(items, false, "three", "Value 3");
            AddItem(items, false, "four", "Value 4");

            //m_Combobox = new SelectList(items, "Value", "Text", "Selected");
            m_Values = new SelectList(items, "Value", "Text");
        }
    }
}
